Pipelines - Create
Create a pipeline.
POST https://dev.azure.com/{organization}/{project}/_apis/pipelines?api-version=7.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.1' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| configuration |
Configuration parameters of the pipeline. |
|
| folder |
string |
Folder of the pipeline. |
| name |
string |
Name of the pipeline. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.build_execute | Grants the ability to access build artifacts, including build results, definitions, and requests, and the ability to queue a build, update build properties, and the ability to receive notifications about build events via service hooks. |
Definitions
| Name | Description |
|---|---|
|
Configuration |
Type of configuration. |
|
Create |
Configuration parameters of the pipeline. |
|
Create |
Parameters to create a pipeline. |
| Pipeline |
Definition of a pipeline. |
|
Pipeline |
|
|
Reference |
The class to represent a collection of REST reference links. |
ConfigurationType
Type of configuration.
| Value | Description |
|---|---|
| unknown |
Unknown type. |
| yaml |
YAML. |
| designerJson |
Designer JSON. |
| justInTime |
Just-in-time. |
| designerHyphenJson |
Designer-JSON. |
CreatePipelineConfigurationParameters
Configuration parameters of the pipeline.
| Name | Type | Description |
|---|---|---|
| type |
Type of configuration. |
CreatePipelineParameters
Parameters to create a pipeline.
| Name | Type | Description |
|---|---|---|
| configuration |
Configuration parameters of the pipeline. |
|
| folder |
string |
Folder of the pipeline. |
| name |
string |
Name of the pipeline. |
Pipeline
Definition of a pipeline.
| Name | Type | Description |
|---|---|---|
| _links |
The class to represent a collection of REST reference links. |
|
| configuration | ||
| folder |
string |
Pipeline folder |
| id |
integer (int32) |
Pipeline ID |
| name |
string |
Pipeline name |
| revision |
integer (int32) |
Revision number |
| url |
string |
URL of the pipeline |
PipelineConfiguration
| Name | Type | Description |
|---|---|---|
| type |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |